From c9b782d8c3ac5b8fc28c94313a6b64f3f9a4791a Mon Sep 17 00:00:00 2001
From: Junwang Zhao <zhjwpku@gmail.com>
Date: Sun, 8 Jun 2025 09:32:23 +0000
Subject: [PATCH v1] add a bound check to TidRangeEval

---
 src/backend/executor/nodeTidrangescan.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/backend/executor/nodeTidrangescan.c b/src/backend/executor/nodeTidrangescan.c
index ab2eab9596e..855189e22c0 100644
--- a/src/backend/executor/nodeTidrangescan.c
+++ b/src/backend/executor/nodeTidrangescan.c
@@ -202,6 +202,12 @@ TidRangeEval(TidRangeScanState *node)
 		}
 	}
 
+	if (ItemPointerCompare(&lowerBound, &upperBound) > 0)
+	{
+		/* The lower bound is greater than the upper bound, so no tuples match */
+		return false;
+	}
+
 	ItemPointerCopy(&lowerBound, &node->trss_mintid);
 	ItemPointerCopy(&upperBound, &node->trss_maxtid);
 
-- 
2.39.5

